aboutsummaryrefslogtreecommitdiffstats
path: root/packages/apex-pdp-package-full/src/main/package/scripts
diff options
context:
space:
mode:
authorwaqas.ikram <waqas.ikram@ericsson.com>2018-07-06 16:37:36 +0100
committerwaqas.ikram <waqas.ikram@ericsson.com>2018-07-09 14:07:58 +0100
commitdba5999ebf16a85a996f1f5502c2c154ac3f38b2 (patch)
tree189c48972b92213ae7b853ce6c100f52a196635b /packages/apex-pdp-package-full/src/main/package/scripts
parentdcf8f703fdd07161c86231ecc4af0f25872a45f4 (diff)
Fixing Multi JVM Tests and sonar bugs
Change-Id: I02df58695b44d5768410a0eaccb090cda7eb85ba Issue-ID: POLICY-865 Signed-off-by: waqas.ikram <waqas.ikram@ericsson.com>
Diffstat (limited to 'packages/apex-pdp-package-full/src/main/package/scripts')
-rw-r--r--packages/apex-pdp-package-full/src/main/package/scripts/apexApps.bat183
-rwxr-xr-xpackages/apex-pdp-package-full/src/main/package/scripts/apexApps.sh165
-rwxr-xr-xpackages/apex-pdp-package-full/src/main/package/scripts/apexBash.sh32
-rw-r--r--packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.bat52
-rwxr-xr-xpackages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.sh50
-rw-r--r--packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.bat52
-rwxr-xr-xpackages/apex-pdp-package-full/src/main/package/scripts/apexEngine.sh73
-rw-r--r--packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.bat52
-rwxr-xr-xpackages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.sh51
9 files changed, 710 insertions, 0 deletions
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexApps.bat b/packages/apex-pdp-package-full/src/main/package/scripts/apexApps.bat
new file mode 100644
index 000000000..5aba49702
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexApps.bat
@@ -0,0 +1,183 @@
+:: ============LICENSE_START=======================================================
+:: Copyright (C) 2016-2018 Ericsson. All rights reserved.
+:: ================================================================================
+:: Licensed under the Apache License, Version 2.0 (the "License");
+:: you may not use this file except in compliance with the License.
+:: You may obtain a copy of the License at
+::
+:: http://www.apache.org/licenses/LICENSE-2.0
+::
+:: Unless required by applicable law or agreed to in writing, software
+:: distributed under the License is distributed on an "AS IS" BASIS,
+:: WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+:: See the License for the specific language governing permissions and
+:: limitations under the License.
+::
+:: SPDX-License-Identifier: Apache-2.0
+:: ============LICENSE_END=========================================================
+
+::
+:: Script to run APEX Applications
+:: Call -h for help
+:: - adding a new app means to add a command to APEX_APP_MAP and a description to APEX_APP_DESCR_MAP using same/unique key
+::
+:: @package org.onap.policy.apex
+:: @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+:: @version v0.7.0
+
+::
+:: DO NOT CHANGE CODE BELOW, unless you know what you are doing
+::
+
+@echo off
+setlocal enableDelayedExpansion
+
+
+if defined APEX_HOME (
+ if exist "%APEX_HOME%\" (
+ set _dummy=dir
+ ) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not a directory
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+ )
+) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not set
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+)
+
+
+:: script name for output
+set MOD_SCRIPT_NAME=apexApps
+
+:: config for CP apps
+SET _CONFIG=-Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -Dhazelcast.config=%APEX_HOME%\etc\hazelcast.xml -Dhazelcast.mancenter.enabled=false
+
+:: Maven/APEX version
+set /p _VERSION=<%APEX_HOME%\etc\app-version.txt
+
+
+:: CP separator
+set cpsep=;
+
+
+:: CP for CP apps
+set CLASSPATH=%APEX_HOME%\etc%cpsep%%APEX_HOME%\etc\hazelcast%cpsep%%APEX_HOME%\etc\infinispan%cpsep%%APEX_HOME%\lib\*
+
+
+:: array of applications with name=command
+:: declare -A APEX_APP_MAP
+set APEX_APP_MAP[ws-console]=java -jar %APEX_HOME%\lib\applications\apex-apps.wsclients-simple-%_VERSION%-jar-with-dependencies.jar -c
+set APEX_APP_MAP[ws-echo]=java -jar %APEX_HOME%\lib\applications\apex-apps.wsclients-simple-%_VERSION%-jar-with-dependencies.jar
+set APEX_APP_MAP[tpl-event-json]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -cp %CLASSPATH% %_CONFIG% org.onap.policy.apex.apps.generators.model.model2event.Application
+set APEX_APP_MAP[model-2-cli]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -cp %CLASSPATH% %_CONFIG% org.onap.policy.apex.apps.generators.model.model2cli.Application
+set APEX_APP_MAP[rest-editor]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -jar %APEX_HOME%\lib\applications\apex-services.client-editor-%_VERSION%-editor.jar
+set APEX_APP_MAP[cli-editor]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -cp %CLASSPATH% %_CONFIG% org.onap.policy.apex.auth.clieditor.ApexCLIEditorMain
+set APEX_APP_MAP[engine]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -cp %CLASSPATH% %_CONFIG% org.onap.policy.apex.service.engine.main.ApexMain
+set APEX_APP_MAP[eng-deployment]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -jar %APEX_HOME%\lib\applications\apex-services.client-deployment-%_VERSION%-deployment.jar
+set APEX_APP_MAP[eng-monitoring]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -jar %APEX_HOME%\lib\applications\apex-services.client-monitoring-%_VERSION%-monitoring.jar
+set APEX_APP_MAP[full-client]=java -Dlogback.configurationFile=%APEX_HOME%\etc\logback.xml -jar %APEX_HOME%\lib\applications\apex-services.client-full-%_VERSION%-full.jar
+
+:: array of applications with name=description
+:: declare -A APEX_APP_DESCR_MAP
+set APEX_APP_DESCR_MAP[ws-console]=a simple console sending events to APEX, connect to APEX consumer port
+set APEX_APP_DESCR_MAP[ws-echo]=a simple echo client printing events received from APEX, connect to APEX producer port
+set APEX_APP_DESCR_MAP[tpl-event-json]=provides JSON templates for events generated from a policy model
+set APEX_APP_DESCR_MAP[model-2-cli]=generates CLI Editor Commands from a policy model
+set APEX_APP_DESCR_MAP[rest-editor]=starts the APEX REST Editor inside a simple webserver
+set APEX_APP_DESCR_MAP[cli-editor]=runs the APEX CLI Editor
+set APEX_APP_DESCR_MAP[engine]=starts the APEX engine
+set APEX_APP_DESCR_MAP[eng-deployment]=starts the APEX deployment client in a simple webserver
+set APEX_APP_DESCR_MAP[eng-monitoring]=starts the APEX engine monitoring client in a simple webserver
+set APEX_APP_DESCR_MAP[full-client]=starts the full APEX client (rest editor, deployment, monitoring) in a simple webserver
+
+
+:: no command line means help, -h means help
+if "%1" == "" goto Help
+if "%1" == "-h" goto Help
+
+:: -l means list
+if "%1" == "-l" goto ListApps
+
+:: -d means describe
+if "%1" == "-d" goto DescribeApp
+
+
+::
+:: ok, we need to look for an application, should be in %1
+::
+set _APP=%1
+
+set _CMD=!APEX_APP_MAP[%_APP%]!
+if "!_CMD!" == "" (
+ echo %MOD_SCRIPT_NAME%: : application '%_APP%' not supported
+ echo[
+ exit /b
+)
+
+for /f "tokens=1,* delims= " %%a in ("%*") do set ACTUAL_CLI=%%b
+set _CMD_RUN=%_CMD% %ACTUAL_CLI%
+:: echo %MOD_SCRIPT_NAME%: running application %_APP%' with command '%_CMD_RUN%'
+%_CMD_RUN%
+exit /b
+
+
+::
+:: Help screen and exit condition (i.e. too few arguments)
+::
+:Help
+echo[
+echo %MOD_SCRIPT_NAME% - runs APEX applications
+echo[
+echo Usage: %MOD_SCRIPT_NAME% [options] ^| [^<application^> [^<application options^>]]
+echo[
+echo Options
+echo -d ^<app^> - describes an application
+echo -l - lists all applications supported by this script
+echo -h - this help screen
+echo[
+echo[
+exit /b
+
+
+
+::
+:: List applications
+::
+:ListApps
+echo[
+echo %MOD_SCRIPT_NAME%: supported applications:
+for /F "tokens=2,3 delims=[]=" %%a in ('set APEX_APP_MAP') do (
+ echo --^> %%a
+)
+echo[
+exit /b
+
+
+::
+:: Describe an application
+::
+:DescribeApp
+if "%2" == "" (
+ echo %MOD_SCRIPT_NAME%: : supported applications:
+ for /F "tokens=2,3 delims=[]=" %%a in ('set APEX_APP_MAP') do (
+ echo --^> %%a
+ )
+ echo[
+ exit /b
+)
+set _CMD=!APEX_APP_DESCR_MAP[%2%]!
+if "%_CMD%" == "" (
+ echo %MOD_SCRIPT_NAME%: : unknown application '%2%'
+ echo[
+ exit /b
+)
+echo %MOD_SCRIPT_NAME%: : application '%2%'
+echo --^> %_CMD%
+echo[
+exit /b
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexApps.sh b/packages/apex-pdp-package-full/src/main/package/scripts/apexApps.sh
new file mode 100755
index 000000000..adcbfcbb1
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexApps.sh
@@ -0,0 +1,165 @@
+#!/usr/bin/env bash
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+##
+## DO NOT CHANGE CODE BELOW, unless you know what you are doing
+##
+
+
+if [ -z $APEX_HOME ]
+then
+ APEX_HOME="/opt/onap/policy/apex-pdp"
+fi
+
+if [ ! -d $APEX_HOME ]
+then
+ echo
+ echo 'Apex directory "'$APEX_HOME'" not set or not a directory'
+ echo "Please set environment for 'APEX_HOME'"
+ exit
+fi
+
+
+## script name for output
+MOD_SCRIPT_NAME=`basename $0`
+
+## check BASH version, we need >=4 for associative arrays
+if [ "${BASH_VERSION:0:1}" -lt 4 ] ; then
+ echo
+ echo "$MOD_SCRIPT_NAME: requires bash 4 or higher for associative arrays"
+ echo
+ exit
+fi
+
+## config for CP apps
+_config="-Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -Dhazelcast.config=$APEX_HOME/etc/hazelcast.xml -Dhazelcast.mancenter.enabled=false"
+
+## Maven/APEX version
+_version=`cat $APEX_HOME/etc/app-version.txt`
+
+
+## system to get CygWin paths
+system=`uname -s | cut -c1-6`
+cpsep=":"
+if [ "$system" == "CYGWIN" ] ; then
+ APEX_HOME=`cygpath -m ${APEX_HOME}`
+ cpsep=";"
+fi
+
+## CP for CP apps
+CLASSPATH="$APEX_HOME/etc${cpsep}$APEX_HOME/etc/hazelcast${cpsep}$APEX_HOME/etc/infinispan${cpsep}$APEX_HOME/lib/*"
+
+
+## array of applications with name=command
+declare -A APEX_APP_MAP
+APEX_APP_MAP["ws-console"]="java -jar $APEX_HOME/lib/applications/apex-apps.wsclients-simple-$_version-jar-with-dependencies.jar -c"
+APEX_APP_MAP["ws-echo"]="java -jar $APEX_HOME/lib/applications/apex-apps.wsclients-simple-$_version-jar-with-dependencies.jar"
+APEX_APP_MAP["tpl-event-json"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -cp ${CLASSPATH} $_config org.onap.policy.apex.apps.generators.model.model2event.Application"
+APEX_APP_MAP["model-2-cli"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -cp ${CLASSPATH} $_config org.onap.policy.apex.apps.generators.model.model2cli.Application"
+APEX_APP_MAP["rest-editor"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -jar $APEX_HOME/lib/applications/apex-services.client-editor-$_version-editor.jar"
+APEX_APP_MAP["cli-editor"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -cp ${CLASSPATH} $_config org.onap.policy.apex.auth.clieditor.ApexCLIEditorMain"
+APEX_APP_MAP["engine"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -cp ${CLASSPATH} $_config org.onap.policy.apex.service.engine.main.ApexMain"
+APEX_APP_MAP["eng-deployment"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -jar $APEX_HOME/lib/applications/apex-services.client-deployment-$_version-deployment.jar"
+APEX_APP_MAP["eng-monitoring"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -jar $APEX_HOME/lib/applications/apex-services.client-monitoring-$_version-monitoring.jar"
+APEX_APP_MAP["full-client"]="java -Dlogback.configurationFile=$APEX_HOME/etc/logback.xml -jar $APEX_HOME/lib/applications/apex-services.client-full-$_version-full.jar"
+
+## array of applications with name=description
+declare -A APEX_APP_DESCR_MAP
+APEX_APP_DESCR_MAP["ws-console"]="a simple console sending events to APEX, connect to APEX consumer port"
+APEX_APP_DESCR_MAP["ws-echo"]="a simple echo client printing events received from APEX, connect to APEX producer port"
+APEX_APP_DESCR_MAP["tpl-event-json"]="provides JSON templates for events generated from a policy model"
+APEX_APP_DESCR_MAP["model-2-cli"]="generates CLI Editor Commands from a policy model"
+APEX_APP_DESCR_MAP["rest-editor"]="starts the APEX REST Editor inside a simple webserver"
+APEX_APP_DESCR_MAP["cli-editor"]="runs the APEX CLI Editor"
+APEX_APP_DESCR_MAP["engine"]="starts the APEX engine"
+APEX_APP_DESCR_MAP["eng-deployment"]="starts the APEX deployment client in a simple webserver"
+APEX_APP_DESCR_MAP["eng-monitoring"]="starts the APEX engine monitoring client in a simple webserver"
+APEX_APP_DESCR_MAP["full-client"]="starts the full APEX client (rest editor, deployment, monitoring) in a simple webserver"
+
+##
+## Help screen and exit condition (i.e. too few arguments)
+##
+Help()
+{
+ echo ""
+ echo "$MOD_SCRIPT_NAME - runs APEX applications"
+ echo ""
+ echo " Usage: $MOD_SCRIPT_NAME [options] | [<application> [<application options>]]"
+ echo ""
+ echo " Options"
+ echo " -d <app> - describes an application"
+ echo " -l - lists all applications supported by this script"
+ echo " -h - this help screen"
+ echo ""
+ echo ""
+ exit 255;
+}
+if [ $# -eq 0 ]; then
+ Help
+fi
+
+
+##
+## read command line, cannot do as while here due to 2-view CLI
+##
+if [ "$1" == "-l" ]; then
+ echo "$MOD_SCRIPT_NAME: supported applications:"
+ echo " --> ${!APEX_APP_MAP[@]}"
+ echo ""
+ exit 0
+fi
+if [ "$1" == "-d" ]; then
+ if [ -z "$2" ]; then
+ echo "$MOD_SCRIPT_NAME: no application given to describe, supported applications:"
+ echo " --> ${!APEX_APP_MAP[@]}"
+ echo ""
+ exit 0;
+ else
+ _cmd=${APEX_APP_DESCR_MAP[$2]}
+ if [ -z "$_cmd" ]; then
+ echo "$MOD_SCRIPT_NAME: unknown application '$2'"
+ echo ""
+ exit 0;
+ fi
+ echo "$MOD_SCRIPT_NAME: application '$2'"
+ echo " --> $_cmd"
+ echo ""
+ exit 0;
+ fi
+fi
+if [ "$1" == "-h" ]; then
+ Help
+ exit 0
+fi
+
+
+_app=$1
+shift
+_cmd=${APEX_APP_MAP[$_app]}
+if [ -z "$_cmd" ]; then
+ echo "$MOD_SCRIPT_NAME: application '$_app' not supported"
+ exit 1
+fi
+_cmd="$_cmd $*"
+## echo "$MOD_SCRIPT_NAME: running application '$_app' with command '$_cmd'"
+exec $_cmd
+
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexBash.sh b/packages/apex-pdp-package-full/src/main/package/scripts/apexBash.sh
new file mode 100755
index 000000000..2a201cc72
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexBash.sh
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+# Run from the Apex home directory
+if [ ! -d /home/apexuser ]
+then
+ echo Apex user home directory "/home/apexuser" not found
+ exit
+fi
+
+# Run the command as "apexuser"
+cd /home/apexuser
+su apexuser
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.bat b/packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.bat
new file mode 100644
index 000000000..c4cb649bc
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.bat
@@ -0,0 +1,52 @@
+:: ============LICENSE_START=======================================================
+:: Copyright (C) 2016-2018 Ericsson. All rights reserved.
+:: ================================================================================
+:: Licensed under the Apache License, Version 2.0 (the "License");
+:: you may not use this file except in compliance with the License.
+:: You may obtain a copy of the License at
+::
+:: http://www.apache.org/licenses/LICENSE-2.0
+::
+:: Unless required by applicable law or agreed to in writing, software
+:: distributed under the License is distributed on an "AS IS" BASIS,
+:: WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+:: See the License for the specific language governing permissions and
+:: limitations under the License.
+::
+:: SPDX-License-Identifier: Apache-2.0
+:: ============LICENSE_END=========================================================
+
+::
+:: Script to run the APEX CLI Editor
+::
+:: @package org.onap.policy.apex
+:: @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+:: @version v0.7.0
+
+::
+:: DO NOT CHANGE CODE BELOW, unless you know what you are doing
+::
+
+@echo off
+setlocal enableDelayedExpansion
+
+
+if defined APEX_HOME (
+ if exist "%APEX_HOME%\" (
+ set _dummy=dir
+ ) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not a directory
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+ )
+) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not set
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+)
+
+%APEX_HOME%\bin\apexApps.bat cli-editor %*
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.sh b/packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.sh
new file mode 100755
index 000000000..28a26171b
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexCLIEditor.sh
@@ -0,0 +1,50 @@
+#!/usr/bin/env bash
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+##
+## Script to run the APEX CLI Editor
+## - requires BASH with associative arrays, bash of at least version 4
+## - for BASH examples with arrays see for instance: http://www.artificialworlds.net/blog/2012/10/17/bash-associative-array-examples/
+## - adding a new app means to add a command to APEX_APP_MAP and a description to APEX_APP_DESCR_MAP using same/unique key
+##
+## @package org.onap.policy.apex
+## @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+## @version v0.7.0
+
+##
+## DO NOT CHANGE CODE BELOW, unless you know what you are doing
+##
+
+if [ -z $APEX_HOME ]
+then
+ APEX_HOME="/opt/onap/policy/apex-pdp"
+fi
+
+if [ ! -d $APEX_HOME ]
+then
+ echo
+ echo 'Apex directory "'$APEX_HOME'" not set or not a directory'
+ echo "Please set environment for 'APEX_HOME'"
+ exit
+fi
+
+$APEX_HOME/bin/apexApps.sh cli-editor $*
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.bat b/packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.bat
new file mode 100644
index 000000000..d44adbbe6
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.bat
@@ -0,0 +1,52 @@
+:: ============LICENSE_START=======================================================
+:: Copyright (C) 2016-2018 Ericsson. All rights reserved.
+:: ================================================================================
+:: Licensed under the Apache License, Version 2.0 (the "License");
+:: you may not use this file except in compliance with the License.
+:: You may obtain a copy of the License at
+::
+:: http://www.apache.org/licenses/LICENSE-2.0
+::
+:: Unless required by applicable law or agreed to in writing, software
+:: distributed under the License is distributed on an "AS IS" BASIS,
+:: WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+:: See the License for the specific language governing permissions and
+:: limitations under the License.
+::
+:: SPDX-License-Identifier: Apache-2.0
+:: ============LICENSE_END=========================================================
+
+::
+:: Script to run the APEX
+::
+:: @package org.onap.policy.apex
+:: @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+:: @version v0.7.0
+
+::
+:: DO NOT CHANGE CODE BELOW, unless you know what you are doing
+::
+
+@echo off
+setlocal enableDelayedExpansion
+
+
+if defined APEX_HOME (
+ if exist "%APEX_HOME%\" (
+ set _dummy=dir
+ ) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not a directory
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+ )
+) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not set
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+)
+
+%APEX_HOME%\bin\apexApps.bat engine %*
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.sh b/packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.sh
new file mode 100755
index 000000000..c07e38b51
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexEngine.sh
@@ -0,0 +1,73 @@
+#!/usr/bin/env bash
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+##
+## Script to run the APEX
+## - requires BASH with associative arrays, bash of at least version 4
+## - for BASH examples with arrays see for instance: http://www.artificialworlds.net/blog/2012/10/17/bash-associative-array-examples/
+## - adding a new app means to add a command to APEX_APP_MAP and a description to APEX_APP_DESCR_MAP using same/unique key
+##
+## @package org.onap.policy.apex
+## @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+## @version v0.7.0
+
+##
+## DO NOT CHANGE CODE BELOW, unless you know what you are doing
+##
+
+if [ -z $APEX_USER ]
+then
+ APEX_USER="apexuser"
+fi
+
+id $APEX_USER > /dev/null 2>& 1
+if [ "$?" -ne "0" ]
+then
+ echo 'cannot run apex, user "'$APEX_USER'" does not exit'
+ exit
+fi
+
+if [ $(whoami) != "$APEX_USER" ]
+then
+ echo 'Apex must be run as user "'$APEX_USER'"'
+ exit
+fi
+
+if [ -z $APEX_HOME ]
+then
+ APEX_HOME="/opt/onap/policy/apex-pdp"
+fi
+
+if [ ! -d $APEX_HOME ]
+then
+ echo
+ echo 'Apex directory "'$APEX_HOME'" not set or not a directory'
+ echo "Please set environment for 'APEX_HOME'"
+ exit
+fi
+
+if [ $(whoami) == "$APEX_USER" ]
+then
+ $APEX_HOME/bin/apexApps.sh engine $*
+else
+ su $APEX_USER -c "$APEX_HOME/bin/apexApps.sh engine $*"
+fi
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.bat b/packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.bat
new file mode 100644
index 000000000..69ada95bf
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.bat
@@ -0,0 +1,52 @@
+:: ============LICENSE_START=======================================================
+:: Copyright (C) 2016-2018 Ericsson. All rights reserved.
+:: ================================================================================
+:: Licensed under the Apache License, Version 2.0 (the "License");
+:: you may not use this file except in compliance with the License.
+:: You may obtain a copy of the License at
+::
+:: http://www.apache.org/licenses/LICENSE-2.0
+::
+:: Unless required by applicable law or agreed to in writing, software
+:: distributed under the License is distributed on an "AS IS" BASIS,
+:: WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+:: See the License for the specific language governing permissions and
+:: limitations under the License.
+::
+:: SPDX-License-Identifier: Apache-2.0
+:: ============LICENSE_END=========================================================
+
+::
+:: Script to run the APEX REST Editor
+::
+:: @package org.onap.policy.apex
+:: @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+:: @version v0.7.0
+
+::
+:: DO NOT CHANGE CODE BELOW, unless you know what you are doing
+::
+
+@echo off
+setlocal enableDelayedExpansion
+
+
+if defined APEX_HOME (
+ if exist "%APEX_HOME%\" (
+ set _dummy=dir
+ ) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not a directory
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+ )
+) else (
+ echo[
+ echo Apex directory 'APEX_HOME' not set
+ echo Please set environment for 'APEX_HOME'
+ echo[
+ exit /b
+)
+
+%APEX_HOME%\bin\apexApps.bat rest-editor %*
diff --git a/packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.sh b/packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.sh
new file mode 100755
index 000000000..3f2ae867b
--- /dev/null
+++ b/packages/apex-pdp-package-full/src/main/package/scripts/apexRESTEditor.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+#-------------------------------------------------------------------------------
+# ============LICENSE_START=======================================================
+# Copyright (C) 2016-2018 Ericsson. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+#-------------------------------------------------------------------------------
+
+##
+## Script to run the APEX REST Editor
+## - requires BASH with associative arrays, bash of at least version 4
+## - for BASH examples with arrays see for instance: http://www.artificialworlds.net/blog/2012/10/17/bash-associative-array-examples/
+## - adding a new app means to add a command to APEX_APP_MAP and a description to APEX_APP_DESCR_MAP using same/unique key
+##
+## @package org.onap.policy.apex
+## @author Sven van der Meer <sven.van.der.meer@ericsson.com>
+## @version v0.7.0
+
+##
+## DO NOT CHANGE CODE BELOW, unless you know what you are doing
+##
+
+
+if [ -z $APEX_HOME ]
+then
+ APEX_HOME="/opt/onap/policy/apex-pdp"
+fi
+
+if [ ! -d $APEX_HOME ]
+then
+ echo
+ echo 'Apex directory "'$APEX_HOME'" not set or not a directory'
+ echo "Please set environment for 'APEX_HOME'"
+ exit
+fi
+
+$APEX_HOME/bin/apexApps.sh rest-editor $*